--PJ017930- Change 04 -  07162015

USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

--DROP TABLE [dbo].[MDS_EVENT_WRLES_TRPT]
--DROP TABLE [dbo].[MDS_EVENT_CUST_TRPT]
--DROP TABLE [dbo].[MDS_EVENT_SLNK_WIRED_TRPT]
--DROP TABLE [dbo].[MDS_EVENT_SLNK_SPAE_VLAN]
--DROP TABLE [dbo].[MDS_EVENT_DSL_SBIC_CUST_TRPT]
--DROP TABLE [dbo].[MDS_EVENT_SITE_SRVC]
--DROP TABLE [dbo].[MDS_EVENT_CPE_DEV]
--DROP TABLE [dbo].[MDS_EVENT_ODIE_DEV]
--DROP TABLE [dbo].[MDS_EVENT_DISCO_DEV]
IF EXISTS(select * from sys.objects where name='FK01_FSA_MDS_EVENT')
ALTER TABLE [dbo].[FSA_MDS_EVENT] DROP CONSTRAINT FK01_FSA_MDS_EVENT
IF EXISTS(select * from sys.objects where name='FK01_FSA_MDS_EVENT_arch')
ALTER TABLE [arch].[FSA_MDS_EVENT] DROP CONSTRAINT FK01_FSA_MDS_EVENT_arch
IF EXISTS(SELECT 'x'
FROM sys.objects so inner join
sys.schemas ss ON ss.[schema_id] = so.[schema_id]
WHERE TYPE = 'U'
  AND is_ms_shipped=0 
  AND so.name = 'mds_event'
  AND ss.name = 'arch')
DROP TABLE arch.[MDS_EVENT]
IF EXISTS(SELECT 'x'
FROM sys.objects so inner join
sys.schemas ss ON ss.[schema_id] = so.[schema_id]
WHERE TYPE = 'U'
  AND is_ms_shipped=0 
  AND so.name = 'mds_event'
  AND ss.name = 'dbo')
DROP TABLE [dbo].[MDS_EVENT]

ALTER TABLE dbo.LK_MDS_SRVC_TIER
DROP CONSTRAINT [UX01_LK_MDS_SRVC_TIER]
GO
ALTER TABLE dbo.LK_MDS_SRVC_TIER
ADD [MDS_SRVC_TIER_CD] CHAR(5) NULL
GO


-- Table LK_MDS_CPE_DEV_XCLUSN to store the lookup data for cpe device types those needs to be excluded from sending to odie/editing in mds-cpe table

CREATE TABLE [dbo].[LK_MDS_CPE_DEV_XCLUSN]
( 
	[MDS_CPE_DEV_XCLUSN_ID]      smallint  		NOT NULL ,
	[DEV_TYPE_NME]		varchar(255)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_MDS_CPE_DEV_XCLUSN_1] DEFAULT ((1)),
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_MDS_CPE_DEV_XCLUSN_1] DEFAULT  getdate(),
	CONSTRAINT [PK_LK_MDS_CPE_DEV_XCLUSN] PRIMARY KEY  CLUSTERED ([MDS_CPE_DEV_XCLUSN_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_MDS_CPE_DEV_XCLUSN] UNIQUE NONCLUSTERED ([DEV_TYPE_NME] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_MDS_CPE_DEV_XCLUSN]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_MDS_CPE_DEV_XCLUSN] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_MDS_CPE_DEV_XCLUSN] CHECK CONSTRAINT [FK01_LK_MDS_CPE_DEV_XCLUSN]
GO


-- Table MDS_EVENT to store the data from the MDS Event form on COWS Website
CREATE TABLE [dbo].[MDS_EVENT]
(
	[EVENT_ID] [int] NOT NULL,
	[EVENT_STUS_ID] [tinyint] NOT NULL,
	[EVENT_TITLE_TXT] [varbinary](max) NULL,
	[H1] [dbo].[H1] NOT NULL,
	[CUST_NME] [varbinary](max) NOT NULL,
	[CHARS_ID] [varchar](20) NULL,
	[CUST_ACCT_TEAM_PDL_NME] [varchar](200) NOT NULL,
	[CUST_SOW_LOC_TXT] [nvarchar](1000) NOT NULL,
	[MDS_ACTY_TYPE_ID] [tinyint] NOT NULL,
	[SHRT_DES] [varchar](2500) NULL,
	[H6] [dbo].[H6] NULL,
	[CCD] [smalldatetime] NULL,
	[OPT_OUT_REAS_ID] tinyint NULL,
	[OPT_OUT_BUS_JUSTN_TXT] [varchar](1000) NULL,
	[SITE_ID_TXT] VARCHAR(50) NULL,
	[INSTL_SITE_POC_NME] [varbinary](max) NULL,
	[INSTL_SITE_POC_INTL_PHN_CD] [varchar](50) NULL,
	[INSTL_SITE_POC_PHN_NBR] [varbinary](max) NULL,
	[INSTL_SITE_POC_INTL_CELL_PHN_CD] [varchar](16) NULL,
	[INSTL_SITE_POC_CELL_PHN_NBR] [varbinary](max) NULL,
	[SRVC_ASSRN_POC_NME] [varbinary](max) NULL,
	[SRVC_ASSRN_POC_INTL_PHN_CD] [varchar](50) NULL,
	[SRVC_ASSRN_POC_PHN_NBR] [varbinary](max) NULL,
	[SRVC_ASSRN_POC_INTL_CELL_PHN_CD] [varchar](20) NULL,
	[SRVC_ASSRN_POC_CELL_PHN_NBR] [varbinary](max) NULL,
	[SRVC_TME_ZN_CD]	VARCHAR(100) NULL,
	[SRVC_AVLBLTY_HRS] VARCHAR(50) NULL,
	[US_INTL_CD] [CHAR](1) NULL,
	[SITE_ADR] [varbinary](max) NULL,
	[FLR_BLDG_NME] [varbinary](max) NULL,
	[CTY_NME] [varbinary](max) NULL,
	[STT_PRVN_NME] [varbinary](max) NULL,
	[CTRY_RGN_NME] [varbinary](max) NULL,
	[ZIP_CD] [varbinary](max) NULL,
	[SPRINT_CPE_NCR_ID] [tinyint] NULL,
	[CPE_DSPCH_EMAIL_ADR] [varchar](200) NULL,
	[CPE_DSPCH_CMNT_TXT] [varchar](1000) NULL,
	[ESCL_CD] [bit] NOT NULL CONSTRAINT [DF_MDS_EVENT_ESCL_CD_1]  DEFAULT ((0)),
	[ESCL_REAS_ID] [tinyint] NULL,
	[PRIM_REQ_DT] [smalldatetime] NULL,
	[SCNDY_REQ_DT] [smalldatetime] NULL,
	[ESCL_BUS_JUSTN_TXT] [varchar](1000) NULL,
	[CNFRC_BRDG_ID] [tinyint] NOT NULL,
	[CNFRC_BRDG_NBR] [varchar](50) NULL,
	[CNFRC_PIN_NBR] [varchar](20) NULL,
	[ONLINE_MEETING_ADR] [varchar](1000) NULL,
	[PUB_EMAIL_CC_TXT] [varchar](200) NULL,
	[CMPLTD_EMAIL_CC_TXT] [varchar](200) NULL,
	[REQOR_USER_ID] [int] NOT NULL,
	[REQOR_USER_CELL_PHN_NBR] [varchar](50) NULL,
	[CMNT_TXT] VARCHAR(MAX) NULL,
	[MDS_FAST_TRK_TYPE_ID] [char](1) NULL,
	[TME_SLOT_ID] [tinyint] NULL,
	[PRE_CFG_CMPLT_CD] BIT NOT NULL,
	[DISC_MGMT_CD] CHAR(1) NULL,
	[FULL_CUST_DISC_CD] [bit] NULL,
	[FULL_CUST_DISC_REAS_TXT] [varchar](2500) NULL,
	[STRT_TMST] [smalldatetime] NOT NULL,
	[END_TMST] [smalldatetime] NULL,
	[EXTRA_DRTN_TME_AMT] [smallint] NULL,
	[EVENT_DRTN_IN_MIN_QTY] [smallint] NULL,
	[WRKFLW_STUS_ID] [tinyint] NOT NULL,
	[OLD_EVENT_STUS_ID] [tinyint] NULL,
	[FAIL_REAS_ID] SMALLINT NULL,
	[WOOB_IP_ADR] [varchar](100) NULL,
	[SHIPPED_DT] [smalldatetime] NULL,
	[SHIP_TRK_REFR_NBR] [varchar](200) NULL,
	[SHIP_CUST_EMAIL_ADR] [varchar](200) NULL,
	[SHIP_DEV_SERIAL_NBR] [varchar](200) NULL,
	[SHIP_CXR_NME] [varchar](200) NULL,
	[CPE_ORDR_CD] BIT NOT NULL CONSTRAINT [DF_MDS_EVENT_CPE_ORDR_CD_1]  DEFAULT ((1)),
	[MNS_ORDR_CD] BIT NOT NULL CONSTRAINT [DF_MDS_EVENT_MNS_ORDR_CD_1]  DEFAULT ((1)),
	[ESCL_POLICY_LOC_TXT] [nvarchar](1000) NULL,
	[MNS_PM_ID] [varchar](10) NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[MODFD_DT] [datetime] NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_MDS_EVENT_getdate_1]  DEFAULT (getdate()),
	[REC_STUS_ID] [tinyint] NOT NULL CONSTRAINT [DF_MDS_EVENT_RECSTUSID_1]  DEFAULT ((1)),	
 CONSTRAINT [PK_MDS_EVENT] PRIMARY KEY CLUSTERED 
(
	[EVENT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK01_MDS_EVENT] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK01_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK02_MDS_EVENT] FOREIGN KEY([EVENT_STUS_ID])
REFERENCES [dbo].[LK_EVENT_STUS] ([EVENT_STUS_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK02_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK03_MDS_EVENT] FOREIGN KEY([WRKFLW_STUS_ID])
REFERENCES [dbo].[LK_WRKFLW_STUS] ([WRKFLW_STUS_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK03_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK04_MDS_EVENT] FOREIGN KEY([MDS_ACTY_TYPE_ID])
REFERENCES [dbo].[LK_MDS_ACTY_TYPE] ([MDS_ACTY_TYPE_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK04_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK05_MDS_EVENT] FOREIGN KEY([SPRINT_CPE_NCR_ID])
REFERENCES [dbo].[LK_SPRINT_CPE_NCR] ([SPRINT_CPE_NCR_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK05_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK06_MDS_EVENT] FOREIGN KEY([ESCL_REAS_ID])
REFERENCES [dbo].[LK_ESCL_REAS] ([ESCL_REAS_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK06_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK07_MDS_EVENT] FOREIGN KEY([REQOR_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK07_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK08_MDS_EVENT] FOREIGN KEY([OLD_EVENT_STUS_ID])
REFERENCES [dbo].[LK_EVENT_STUS] ([EVENT_STUS_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK08_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK09_MDS_EVENT] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK09_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK10_MDS_EVENT] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK10_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK11_MDS_EVENT] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK11_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK12_MDS_EVENT] FOREIGN KEY([FAIL_REAS_ID])
REFERENCES [dbo].[LK_FAIL_REAS] ([FAIL_REAS_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK12_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK13_MDS_EVENT] FOREIGN KEY([CNFRC_BRDG_ID])
REFERENCES [dbo].[LK_MDS_BRDG_NEED_REAS] ([MDS_BRDG_NEED_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK13_MDS_EVENT]
GO

ALTER TABLE [dbo].[MDS_EVENT]  WITH NOCHECK ADD  CONSTRAINT [FK14_MDS_EVENT] FOREIGN KEY([MDS_FAST_TRK_TYPE_ID])
REFERENCES [dbo].[MDS_FAST_TRK_TYPE] ([MDS_FAST_TRK_TYPE_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT] CHECK CONSTRAINT [FK14_MDS_EVENT]
GO


-- Table MDS_EVENT_ODIE_DEV to store the data from the ODIE Device Section under MDS Event Form on COWS Website
CREATE TABLE [dbo].[MDS_EVENT_ODIE_DEV]
(
	[MDS_EVENT_ODIE_DEV_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[RDSN_NBR] [varchar](50) NOT NULL,
	[RDSN_EXP_DT] [smalldatetime] NOT NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[DEV_MODEL_ID] [smallint] NOT NULL,
	[MANF_ID] [smallint] NOT NULL,
	[FRWL_PROD_CD] [char](1) NULL,
	[INTL_CTRY_CD] [varchar](5) NOT NULL,
	[PHN_NBR] [varchar](20) NULL,
	[FAST_TRK_CD] [char](1) NULL,
	[WOOB_CD] [char](1) NULL,
	[OPTOUT_CD] BIT NOT NULL CONSTRAINT [DF_MDS_EVENT_ODIE_DEV_OPTOUTCD_1]  DEFAULT (0),
	[SRVC_ASSRN_SITE_SUPP_ID] [tinyint] NOT NULL,
	[SYS_CD] [BIT] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_MDS_EVENT_ODIE_DEV_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_MDS_EVENT_ODIE_DEV] PRIMARY KEY CLUSTERED 
(
	[MDS_EVENT_ODIE_DEV_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[MDS_EVENT_ODIE_DEV]  WITH NOCHECK ADD  CONSTRAINT [FK01_MDS_EVENT_ODIE_DEV] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_ODIE_DEV] CHECK CONSTRAINT [FK01_MDS_EVENT_ODIE_DEV]
GO

ALTER TABLE [dbo].[MDS_EVENT_ODIE_DEV]  WITH NOCHECK ADD  CONSTRAINT [FK02_MDS_EVENT_ODIE_DEV] FOREIGN KEY([DEV_MODEL_ID])
REFERENCES [dbo].[LK_DEV_MODEL] ([DEV_MODEL_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_ODIE_DEV] CHECK CONSTRAINT [FK02_MDS_EVENT_ODIE_DEV]
GO

ALTER TABLE [dbo].[MDS_EVENT_ODIE_DEV]  WITH NOCHECK ADD  CONSTRAINT [FK03_MDS_EVENT_ODIE_DEV] FOREIGN KEY([MANF_ID])
REFERENCES [dbo].[LK_DEV_MANF] ([MANF_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_ODIE_DEV] CHECK CONSTRAINT [FK03_MDS_EVENT_ODIE_DEV]
GO

ALTER TABLE [dbo].[MDS_EVENT_ODIE_DEV]  WITH NOCHECK ADD  CONSTRAINT [FK04_MDS_EVENT_ODIE_DEV] FOREIGN KEY([SRVC_ASSRN_SITE_SUPP_ID])
REFERENCES [dbo].[LK_SRVC_ASSRN_SITE_SUPP] ([SRVC_ASSRN_SITE_SUPP_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_ODIE_DEV] CHECK CONSTRAINT [FK04_MDS_EVENT_ODIE_DEV]
GO

-- Table EVENT_CPE_DEV to store the data from the CPE Device Section under MDS/UCaaS Event Form on COWS Website
CREATE TABLE [dbo].[EVENT_CPE_DEV]
(
	[EVENT_CPE_DEV_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[CPE_ORDR_ID] [varchar] (50) NULL,
	[CPE_ORDR_NBR] [varchar] (50) NULL,
	[DEVICE_ID] [varchar](100) NOT NULL,
	[ASSOC_H6]	[varchar](9) NULL,
	[MAINT_VNDR_PO] [varchar](255) NOT NULL,
	[REQSTN_NBR]	[varchar](255) NULL,
	[CCD]	[smalldatetime] NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[ODIE_CD] BIT NULL,
	[ORDR_STUS] [varchar](100) NULL,
	[RCPT_STUS] [varchar](100) NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_EVENT_CPE_DEV_getdate_1]  DEFAULT (getdate()),
	[REC_STUS_ID] [tinyint] NULL,
 CONSTRAINT [PK_EVENT_CPE_DEV] PRIMARY KEY CLUSTERED 
(
	[EVENT_CPE_DEV_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EVENT_CPE_DEV]  WITH NOCHECK ADD  CONSTRAINT [FK01_EVENT_CPE_DEV] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[EVENT_CPE_DEV] CHECK CONSTRAINT [FK01_EVENT_CPE_DEV]
GO

-- Table MDS_EVENT_SITE_SRVC to store the data from the Additional Site Wide Services Section under MDS Event Form on COWS Website
CREATE TABLE [dbo].[MDS_EVENT_SITE_SRVC]
(
	[MDS_EVENT_SITE_SRVC_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[MACH5_SRVC_ORDR_ID] [varchar](50) NOT NULL,
	[SRVC_TYPE_ID] [smallint] NOT NULL,
	[THRD_PARTY_VNDR_ID] [smallint] NULL,
	[THRD_PARTY_ID] [varchar](20) NULL,
	[THRD_PARTY_SRVC_LVL_ID] [smallint] NULL,
	[ACTV_DT] [datetime] NULL,
	[CMNT_TXT] [varchar](2000) NULL,
	[EMAIL_CD] [bit] NOT NULL CONSTRAINT [DF_MDS_EVENT_SITE_SRVC_EMAIL_CD_1]  DEFAULT ((0)),
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_MDS_EVENT_SITE_SRVC_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_MDS_EVENT_SITE_SRVC] PRIMARY KEY CLUSTERED 
(
	[MDS_EVENT_SITE_SRVC_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[MDS_EVENT_SITE_SRVC]  WITH NOCHECK ADD  CONSTRAINT [FK01_MDS_EVENT_SITE_SRVC] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_SITE_SRVC] CHECK CONSTRAINT [FK01_MDS_EVENT_SITE_SRVC]
GO

ALTER TABLE [dbo].[MDS_EVENT_SITE_SRVC]  WITH NOCHECK ADD  CONSTRAINT [FK02_MDS_EVENT_SITE_SRVC] FOREIGN KEY([SRVC_TYPE_ID])
REFERENCES [dbo].[LK_MDS_SRVC_TYPE] ([SRVC_TYPE_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_SITE_SRVC] CHECK CONSTRAINT [FK02_MDS_EVENT_SITE_SRVC]
GO

ALTER TABLE [dbo].[MDS_EVENT_SITE_SRVC]  WITH NOCHECK ADD  CONSTRAINT [FK03_MDS_EVENT_SITE_SRVC] FOREIGN KEY([THRD_PARTY_VNDR_ID])
REFERENCES [dbo].[LK_MDS_3RDPARTY_VNDR] ([THRD_PARTY_VNDR_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_SITE_SRVC] CHECK CONSTRAINT [FK03_MDS_EVENT_SITE_SRVC]
GO

ALTER TABLE [dbo].[MDS_EVENT_SITE_SRVC]  WITH NOCHECK ADD  CONSTRAINT [FK04_MDS_EVENT_SITE_SRVC] FOREIGN KEY([THRD_PARTY_SRVC_LVL_ID])
REFERENCES [dbo].[LK_MDS_3RDPARTY_SRVC_LVL] ([THRD_PARTY_SRVC_LVL_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_SITE_SRVC] CHECK CONSTRAINT [FK04_MDS_EVENT_SITE_SRVC]
GO

-- Table MDS_EVENT_DSL_SBIC_CUST_TRPT to store the data from the DSL, SBIC, Third Pary, Customer Provided Transport Needed Section under MDS Event Form on COWS Website
CREATE TABLE [dbo].[MDS_EVENT_DSL_SBIC_CUST_TRPT]
(
	[DSL_SBIC_CUST_TRPT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[MDS_TRNSPRT_TYPE] VARCHAR(200) NOT NULL,
	[PRIM_BKUP_CD] [char](1) NOT NULL,
	[VNDR_PRVDR_TRPT_CKT_ID] [varchar](50) NULL,
	[VNDR_PRVDR_NME] [varchar](50) NULL,
	[IS_WIRELESS_CD] [char](1) NOT NULL,
	[BW_ESN_MEID] [varchar](50) NULL,
	[SCA_NBR] [varchar](50) NULL,
	[IP_ADR] [varchar](50) NULL,
	[SUBNET_MASK_ADR] [varchar](50) NULL,
	[NXTHOP_GTWY_ADR] [varchar](50) NULL,
	[SPRINT_MNGD_CD] [char](1) NOT NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_MDS_EVENT_DSL_SBIC_CUST_TRPT_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_MDS_EVENT_DSL_SBIC_CUST_TRPT] PRIMARY KEY CLUSTERED 
(
	[DSL_SBIC_CUST_TRPT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[MDS_EVENT_DSL_SBIC_CUST_TRPT]  WITH NOCHECK ADD  CONSTRAINT [FK01_MDS_EVENT_DSL_SBIC_CUST_TRPT] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_DSL_SBIC_CUST_TRPT] CHECK CONSTRAINT [FK01_MDS_EVENT_DSL_SBIC_CUST_TRPT]
GO


-- Table MDS_EVENT_SLNK_WIRED_TRPT to store the data from the Sprintlink and Wired Transport Needed Section under MDS Event Form on COWS Website
CREATE TABLE [dbo].[MDS_EVENT_SLNK_WIRED_TRPT]
(
	[SLNK_WIRED_TRPT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[MDS_TRNSPRT_TYPE] [varchar](100) NOT NULL,
	[PRIM_BKUP_CD] [char](1) NOT NULL,
	[VNDR_PRVDR_TRPT_CKT_ID] [varchar](50) NULL,
	[VNDR_PRVDR_NME] [varchar](50) NULL,
	--[TELCO_ID] [tinyint] NOT NULL,
	[BDWD_CHNL_NME] [varchar](100) NULL,
	[PL_NBR] [varchar](20) NULL,
	[IP_NUA_ADR] [varchar](25) NULL,
	[OLD_CKT_ID] [varchar](30) NULL,
	[MULTI_LINK_CKT_CD] [char](1) NULL,
	[DED_ACCS_CD] [char](1) NULL,
	[FMS_NBR] [varchar](50) NULL,
	[DLCI_VPI_VCI] [varchar](50) NULL,
	[VLAN_NBR] [varchar](50) NULL,
	[SPA_NUA] [varchar](50) NULL,
	[SPRINT_MNGD_CD] [char](1) NOT NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_MDS_EVENT_SLNK_WIRED_TRPT_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_MDS_EVENT_SLNK_WIRED_TRPT] PRIMARY KEY CLUSTERED 
(
	[SLNK_WIRED_TRPT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[MDS_EVENT_SLNK_WIRED_TRPT]  WITH NOCHECK ADD  CONSTRAINT [FK01_MDS_EVENT_SLNK_WIRED_TRPT] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_SLNK_WIRED_TRPT] CHECK CONSTRAINT [FK01_MDS_EVENT_SLNK_WIRED_TRPT]
GO

/*ALTER TABLE [dbo].[MDS_EVENT_SLNK_WIRED_TRPT]  WITH CHECK ADD  CONSTRAINT [FK02_MDS_EVENT_SLNK_WIRED_TRPT] FOREIGN KEY([TELCO_ID])
REFERENCES [dbo].[LK_TELCO] ([TELCO_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_SLNK_WIRED_TRPT] CHECK CONSTRAINT [FK02_MDS_EVENT_SLNK_WIRED_TRPT]
GO

ALTER TABLE [dbo].[MDS_EVENT_SLNK_WIRED_TRPT]  WITH CHECK ADD  CONSTRAINT [FK03_MDS_EVENT_SLNK_WIRED_TRPT] FOREIGN KEY([MDS_TRNSPRT_TYPE_ID])
REFERENCES [dbo].[LK_MDS_TRNSPRT_TYPE] ([MDS_TRNSPRT_TYPE_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_SLNK_WIRED_TRPT] CHECK CONSTRAINT [FK03_MDS_EVENT_SLNK_WIRED_TRPT]
GO*/


/* -- Table MDS_EVENT_SLNK_SPAE_VLAN to store the data from the Sprintlink and Wired Transport Needed Section under MDS Event Form on COWS Website
CREATE TABLE [dbo].[MDS_EVENT_SLNK_SPAE_VLAN]
(
	[SLNK_SPAE_VLAN_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[FMS_NBR] [varchar](50) NULL,
	[DLCI_VPI_VCI] [varchar](50) NULL,
	[VLAN_NBR] [varchar](50) NULL,
	[SPA_NUA] [varchar](50) NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_MDS_EVENT_SLNK_SPAE_VLAN_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_MDS_EVENT_SLNK_SPAE_VLAN] PRIMARY KEY CLUSTERED 
(
	[SLNK_SPAE_VLAN_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[MDS_EVENT_SLNK_SPAE_VLAN]  WITH NOCHECK ADD  CONSTRAINT [FK01_MDS_EVENT_SLNK_SPAE_VLAN] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO */

-- Table EVENT_DEV_CMPLT to store the data odie device name and their completion under MDS/UcaaS Event Form on COWS Website
CREATE TABLE [dbo].[EVENT_DEV_CMPLT]
(
	[EVENT_DEV_CMPLT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[REDSGN_DEV_ID] [int] NOT NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[H6]	[varchar](9) NULL,
	[CMPLTD_CD]	BIT NOT NULL CONSTRAINT [DF_EVENT_DEV_CMPLT_CMPLTD_CD_1]  DEFAULT ((0)),
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_EVENT_DEV_CMPLT_getdate_1]  DEFAULT (getdate()),
	[REC_STUS_ID] TINYINT NOT NULL CONSTRAINT [DF_EVENT_DEV_CMPLT_REC_STUS_ID_1]  DEFAULT ((1)),
	[ODIE_SENT_DT] [datetime] NULL,
 CONSTRAINT [PK_EVENT_DEV_CMPLT] PRIMARY KEY CLUSTERED 
(
	[EVENT_DEV_CMPLT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EVENT_DEV_CMPLT]  WITH NOCHECK ADD  CONSTRAINT [FK01_EVENT_DEV_CMPLT] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[EVENT_DEV_CMPLT]  WITH NOCHECK ADD  CONSTRAINT [FK02_EVENT_DEV_CMPLT] FOREIGN KEY([REDSGN_DEV_ID])
REFERENCES [dbo].[REDSGN_DEVICES_INFO] ([REDSGN_DEV_ID])
GO

-- Table EVENT_DEV_SRVC_MGMT to store the device based mns management service data under MDS/UCaaS Event Form on COWS Website
CREATE TABLE [dbo].[EVENT_DEV_SRVC_MGMT]
(
	[EVENT_DEV_SRVC_MGMT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[MNS_ORDR_NBR] [varchar] (50) NULL,
	[M5_ORDR_CMPNT_ID]  [varchar] (50) NULL,
	[DEVICE_ID] [varchar](100) NOT NULL,
	[MNS_SRVC_TIER_ID] [tinyint] NOT NULL,
	--[MNS_ENTLMNT_ID] [varchar](250) NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[CMPNT_STUS] [varchar](100) NULL,
	[CMPNT_TYPE_CD] CHAR(4) NULL,
	[CMPNT_NME] [varchar](255) NULL,
	[ODIE_CD] BIT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_EVENT_DEV_SRVC_MGMT_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_EVENT_DEV_SRVC_MGMT] PRIMARY KEY CLUSTERED 
(
	[EVENT_DEV_SRVC_MGMT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EVENT_DEV_SRVC_MGMT]  WITH NOCHECK ADD  CONSTRAINT [FK01_EVENT_DEV_SRVC_MGMT] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[EVENT_DEV_SRVC_MGMT]  WITH NOCHECK ADD  CONSTRAINT [FK02_EVENT_DEV_SRVC_MGMT] FOREIGN KEY([MNS_SRVC_TIER_ID])
REFERENCES [dbo].[LK_MDS_SRVC_TIER] ([MDS_SRVC_TIER_ID])
GO

ALTER TABLE [dbo].[EVENT_DEV_SRVC_MGMT] CHECK CONSTRAINT [FK02_EVENT_DEV_SRVC_MGMT]
GO



-- Table MDS_EVENT_WRLES_TRPT to store the wireless transport Section under MDS Event Form on COWS Website
--CREATE TABLE [dbo].[MDS_EVENT_WRLES_TRPT]
--(
--	[MDS_EVENT_WRLES_TRPT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
--	[EVENT_ID] [int] NOT NULL,
--	[PRIM_BKUP_CD] [char](1) NOT NULL,
--	[ESN_MAC_ID] [varchar](30) NOT NULL,
--	[ODIE_DEV_NME] [varchar](200) NOT NULL,
--	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_6_20150816]  DEFAULT (getdate()),
-- CONSTRAINT [PK_MDS_EVENT_WRLES_TRPT] PRIMARY KEY CLUSTERED 
--(
--	[MDS_EVENT_WRLES_TRPT_ID] ASC
--)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
--) ON [PRIMARY]

--GO

--ALTER TABLE [dbo].[MDS_EVENT_WRLES_TRPT]  WITH NOCHECK ADD  CONSTRAINT [FK01_MDS_EVENT_WRLES_TRPT] FOREIGN KEY([EVENT_ID])
--REFERENCES [dbo].[EVENT] ([EVENT_ID])
--GO

--ALTER TABLE [dbo].[MDS_EVENT_WRLES_TRPT] CHECK CONSTRAINT [FK01_MDS_EVENT_WRLES_TRPT]
--GO

-- Table EVENT_DISCO_DEV to store the Device table for Disconnect MDS Activity
CREATE TABLE [dbo].[EVENT_DISCO_DEV]
(
	[EVENT_DISCO_DEV_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[H5_H6] [varchar](9) NULL,
	[SITE_ID] VARCHAR(50) NULL,
	[DEVICE_ID] [varchar](100) NULL,
	[DEV_MODEL_ID] [smallint] NULL,
	[MANF_ID] [smallint] NULL,
	[SERIAL_NBR] VARCHAR(50) NULL,
	[THRD_PARTY_CTRCT] VARCHAR(50) NULL,
	--[M5_ORDR_ID] [varchar](50) NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_EVENT_DISCO_DEV_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_EVENT_DISCO_DEV] PRIMARY KEY CLUSTERED 
(
	[EVENT_DISCO_DEV_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EVENT_DISCO_DEV]  WITH NOCHECK ADD CONSTRAINT [FK01_EVENT_DISCO_DEV] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[EVENT_DISCO_DEV] CHECK CONSTRAINT [FK01_EVENT_DISCO_DEV]
GO

ALTER TABLE [dbo].[EVENT_DISCO_DEV]  WITH NOCHECK ADD  CONSTRAINT [FK02_EVENT_DISCO_DEV] FOREIGN KEY([DEV_MODEL_ID])
REFERENCES [dbo].[LK_DEV_MODEL] ([DEV_MODEL_ID])
GO

ALTER TABLE [dbo].[EVENT_DISCO_DEV] CHECK CONSTRAINT [FK02_EVENT_DISCO_DEV]
GO

ALTER TABLE [dbo].[EVENT_DISCO_DEV]  WITH NOCHECK ADD  CONSTRAINT [FK03_EVENT_DISCO_DEV] FOREIGN KEY([MANF_ID])
REFERENCES [dbo].[LK_DEV_MANF] ([MANF_ID])
GO

ALTER TABLE [dbo].[EVENT_DISCO_DEV] CHECK CONSTRAINT [FK03_EVENT_DISCO_DEV]
GO

--Add columns to existing MDS_EVENT_WRLS_TRPT table

ALTER TABLE dbo.MDS_EVENT_WRLS_TRPT
ALTER COLUMN [FSA_MDS_EVENT_ID] INT NULL
GO

ALTER TABLE dbo.MDS_EVENT_WRLS_TRPT
ADD [EVENT_ID] INT NULL,
[WRLS_TYPE_CD] CHAR(2) NULL,
[BILL_ACCT_NME] VARCHAR(200) NULL,
[BILL_ACCT_NBR] VARCHAR(100) NULL,
[ACCT_PIN]	VARCHAR(50) NULL,
[SALS_CD]	VARCHAR(100) NULL,
[SOC]	VARCHAR(100) NULL,
[STATIC_IP_ADR]	VARCHAR(50) NULL,
[IMEI]	VARCHAR(100) NULL,
[UICC_ID_NBR] VARCHAR(100) NULL,
[PRICE_PLN]	VARCHAR(100) NULL,
[ODIE_DEV_NME] [varchar](200) NULL,
[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_MDS_EVENT_WRLS_TRPT_getdate_1]  DEFAULT (getdate())
GO

ALTER TABLE [dbo].[MDS_EVENT_WRLS_TRPT]  WITH NOCHECK ADD CONSTRAINT [FK02_MDS_EVENT_WRLS_TRPT] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_WRLS_TRPT] CHECK CONSTRAINT [FK02_MDS_EVENT_WRLS_TRPT]
GO



--Alter MDS_EVENT_WRLS_TRPT and use for both old/new mds events
--ALTER TABLE dbo.MDS_EVENT_WRLS_TRPT
--ADD [EVENT_ID] INT NULL
--GO

--ALTER TABLE dbo.MDS_EVENT_WRLS_TRPT
--ALTER COLUMN [FSA_MDS_EVENT_ID] INT NULL
--GO

--ALTER TABLE dbo.MDS_EVENT_WRLS_TRPT
--ADD [ODIE_DEV_NME] [varchar](200) NOT NULL
--GO

--ALTER TABLE dbo.MDS_EVENT_WRLS_TRPT
--ADD [CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_MDS_EVENT_WRLS_TRPT_1]  DEFAULT (getdate())
--GO

--ALTER TABLE [dbo].[MDS_EVENT_WRLS_TRPT]  WITH NOCHECK ADD CONSTRAINT [FK02_MDS_EVENT_WRLS_TRPT] FOREIGN KEY([EVENT_ID])
--REFERENCES [dbo].[EVENT] ([EVENT_ID])
--GO

----Alter MDS_EVENT_WRLS_TRPT and use for both old/new mds events
--ALTER TABLE dbo.MDS_EVENT_WIRED_TRPT
--ALTER COLUMN [FSA_MDS_EVENT_ID] INT NULL
--GO

--ALTER TABLE dbo.MDS_EVENT_WIRED_TRPT
--ADD [EVENT_ID] INT NULL
--GO

--ALTER TABLE dbo.MDS_EVENT_WIRED_TRPT
--ADD [FOC_DT] datetime NULL
--GO

--ALTER TABLE dbo.MDS_EVENT_WIRED_TRPT
--ADD [CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_MDS_EVENT_WIRED_TRPT_1]  DEFAULT (getdate())
--GO

--ALTER TABLE [dbo].[MDS_EVENT_WIRED_TRPT]  WITH NOCHECK ADD CONSTRAINT [FK04_MDS_EVENT_WIRED_TRPT] FOREIGN KEY([EVENT_ID])
--REFERENCES [dbo].[EVENT] ([EVENT_ID])
----GO

/* ALTER TABLE dbo.MDS_EVENT_CPE_DEV
ADD [CPE_ORDR_ID_NEW] [varchar] (50) NULL
GO

UPDATE dbo.MDS_EVENT_CPE_DEV SET [CPE_ORDR_ID_NEW] = CONVERT(VARCHAR,CPE_ORDR_ID)
GO

ALTER TABLE dbo.MDS_EVENT_CPE_DEV
DROP COLUMN [CPE_ORDR_ID]
GO

EXEC SP_RENAME 'dbo.MDS_EVENT_CPE_DEV.CPE_ORDR_ID_NEW', 'CPE_ORDR_ID', 'COLUMN';
GO

UPDATE dbo.MDS_EVENT_CPE_DEV SET [CPE_ORDR_ID] = ISNULL([CPE_ORDR_ID], '')
GO

ALTER TABLE dbo.MDS_EVENT_CPE_DEV
ALTER COLUMN [CPE_ORDR_ID] [varchar] (50) NOT NULL
GO

ALTER TABLE dbo.MDS_EVENT_SITE_SRVC
ADD [ODIE_DEV_NME] [varchar](200) NULL
GO

UPDATE dbo.MDS_EVENT_SITE_SRVC SET ODIE_DEV_NME = ''
GO

ALTER TABLE dbo.MDS_EVENT_SITE_SRVC
ALTER COLUMN [ODIE_DEV_NME] [varchar](200) NOT NULL
GO


ALTER TABLE dbo.MDS_EVENT_CPE_DEV
DROP CONSTRAINT [DF_MDS_EVENT_CPE_DEV_CMPLTD_CD_1]
GO

ALTER TABLE dbo.MDS_EVENT_CPE_DEV
DROP COLUMN [CMPLTD_CD]
GO

ALTER TABLE dbo.MDS_EVENT_SLNK_WIRED_TRPT
ADD [FMS_NBR] [varchar](50) NULL,
	[DLCI_VPI_VCI] [varchar](50) NULL,
	[VLAN_NBR] [varchar](50) NULL,
	[SPA_NUA] [varchar](50) NULL
GO

DROP TABLE dbo.MDS_EVENT_SLNK_SPAE_VLAN
GO

-- Table MDS_EVENT_DEV_CMPLT to store the data odie device name and their completion under MDS Event Form on COWS Website
CREATE TABLE [dbo].[MDS_EVENT_DEV_CMPLT]
(
	[MDS_EVENT_DEV_CMPLT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[H6]	[varchar](9) NULL,
	[CMPLTD_CD]	BIT NOT NULL CONSTRAINT [DF_MDS_EVENT_DEV_CMPLT_CMPLTD_CD_1]  DEFAULT ((0)),
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_MDS_EVENT_DEV_CMPLT_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_MDS_EVENT_DEV_CMPLT] PRIMARY KEY CLUSTERED 
(
	[MDS_EVENT_DEV_CMPLT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[MDS_EVENT_DEV_CMPLT]  WITH NOCHECK ADD  CONSTRAINT [FK01_MDS_EVENT_DEV_CMPLT] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

-- Table MDS_EVENT_DEV_SRVC_MGMT to store the device based mns management service data under MDS Event Form on COWS Website
CREATE TABLE [dbo].[MDS_EVENT_DEV_SRVC_MGMT]
(
	[MDS_EVENT_DEV_SRVC_MGMT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[MNS_ORDR_ID] [varchar] (50) NOT NULL,
	[DEVICE_ID] [varchar](100) NOT NULL,
	[MDS_SRVC_TIER_ID] [tinyint] NULL,
	[MDS_ENTLMNT_ID] [varchar](250) NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_MDS_EVENT_DEV_SRVC_MGMT_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_MDS_EVENT_DEV_SRVC_MGMT] PRIMARY KEY CLUSTERED 
(
	[MDS_EVENT_DEV_SRVC_MGMT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[MDS_EVENT_DEV_SRVC_MGMT]  WITH NOCHECK ADD  CONSTRAINT [FK01_MDS_EVENT_DEV_SRVC_MGMT] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_DEV_SRVC_MGMT]  WITH NOCHECK ADD  CONSTRAINT [FK02_MDS_EVENT_DEV_SRVC_MGMT] FOREIGN KEY([MDS_SRVC_TIER_ID])
REFERENCES [dbo].[LK_MDS_SRVC_TIER] ([MDS_SRVC_TIER_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_DEV_SRVC_MGMT] CHECK CONSTRAINT [FK02_MDS_EVENT_DEV_SRVC_MGMT]
GO

ALTER TABLE dbo.MDS_EVENT
ADD [ESCL_POLICY_LOC_TXT] [nvarchar](1000) NULL
GO
 */
 
 
 /* 
 DROP TABLE dbo.UCaaS_EVENT_CPE_DEV
GO

DROP TABLE dbo.MDS_EVENT_CPE_DEV
GO

DROP TABLE dbo.UCaaS_EVENT_DEV_CMPLT
GO

DROP TABLE dbo.MDS_EVENT_DEV_CMPLT
GO

DROP TABLE dbo.[MDS_EVENT_DEV_SRVC_MGMT]
GO


-- Table EVENT_DEV_CMPLT to store the data odie device name and their completion under MDS/UcaaS Event Form on COWS Website
CREATE TABLE [dbo].[EVENT_DEV_CMPLT]
(
	[EVENT_DEV_CMPLT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[H6]	[varchar](9) NULL,
	[CMPLTD_CD]	BIT NOT NULL CONSTRAINT [DF_EVENT_DEV_CMPLT_CMPLTD_CD_1]  DEFAULT ((0)),
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_EVENT_DEV_CMPLT_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_EVENT_DEV_CMPLT] PRIMARY KEY CLUSTERED 
(
	[EVENT_DEV_CMPLT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EVENT_DEV_CMPLT]  WITH NOCHECK ADD  CONSTRAINT [FK01_EVENT_DEV_CMPLT] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO


-- Table EVENT_CPE_DEV to store the data from the CPE Device Section under MDS/UCaaS Event Form on COWS Website
CREATE TABLE [dbo].[EVENT_CPE_DEV]
(
	[EVENT_CPE_DEV_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[CPE_ORDR_ID] [varchar] (50) NULL,
	[DEVICE_ID] [varchar](100) NOT NULL,
	[ASSOC_H6]	[varchar](9) NULL,
	[MAINT_VNDR_PO] [varchar](255) NOT NULL,
	[REQSTN_NBR]	[varchar](255) NULL,
	[CCD]	[smalldatetime] NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[CTRCT_TYPE] [varchar](100) NULL,
	[ORDR_STUS] [varchar](100) NULL,
	[RCPT_STUS] [varchar](100) NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_EVENT_CPE_DEV_getdate_1]  DEFAULT (getdate()),
	[REC_STUS_ID] [tinyint] NULL,
 CONSTRAINT [PK_EVENT_CPE_DEV] PRIMARY KEY CLUSTERED 
(
	[EVENT_CPE_DEV_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EVENT_CPE_DEV]  WITH NOCHECK ADD  CONSTRAINT [FK01_EVENT_CPE_DEV] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[EVENT_CPE_DEV] CHECK CONSTRAINT [FK01_EVENT_CPE_DEV]
GO


INSERT INTO dbo.EVENT_CPE_DEV ([EVENT_ID],
	--[CPE_ORDR_ID],
	[DEVICE_ID],
	[ASSOC_H6],
	[MAINT_VNDR_PO],
	--[REQSTN_NBR],
	--[CCD],
	[ODIE_DEV_NME],
	[CTRCT_TYPE]
	--[ORDR_STUS],
	--[RCPT_STUS]
	)
SELECT [EVENT_ID],
	--[CPE_ORDR_ID],
	[DEVICE_ID],
	[ASSOC_H6],
	[MAINT_VNDR_PO],
	--[REQSTN_NBR],
	--[CCD],
	[ODIE_DEV_NME],
	[CTRCT_TYPE]
	--[ORDR_STUS],
	--[RCPT_STUS] 
	FROM dbo.UCaaS_EVENT_CPE_DEV with (nolock)




-- Table EVENT_DEV_SRVC_MGMT to store the device based mns management service data under MDS/UCaaS Event Form on COWS Website
CREATE TABLE [dbo].[EVENT_DEV_SRVC_MGMT]
(
	[EVENT_DEV_SRVC_MGMT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[MNS_ORDR_ID] [varchar] (50) NOT NULL,
	[DEVICE_ID] [varchar](100) NOT NULL,
	[MNS_SRVC_TIER_ID] [tinyint] NULL,
	[MNS_ENTLMNT_ID] [varchar](250) NULL,
	[ODIE_DEV_NME] [varchar](200) NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_EVENT_DEV_SRVC_MGMT_getdate_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_EVENT_DEV_SRVC_MGMT] PRIMARY KEY CLUSTERED 
(
	[EVENT_DEV_SRVC_MGMT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EVENT_DEV_SRVC_MGMT]  WITH NOCHECK ADD  CONSTRAINT [FK01_EVENT_DEV_SRVC_MGMT] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[EVENT_DEV_SRVC_MGMT]  WITH NOCHECK ADD  CONSTRAINT [FK02_EVENT_DEV_SRVC_MGMT] FOREIGN KEY([MNS_SRVC_TIER_ID])
REFERENCES [dbo].[LK_MDS_SRVC_TIER] ([MDS_SRVC_TIER_ID])
GO

ALTER TABLE [dbo].[EVENT_DEV_SRVC_MGMT] CHECK CONSTRAINT [FK02_EVENT_DEV_SRVC_MGMT]
GO

ALTER TABLE [dbo].[EVENT_DEV_SRVC_MGMT]
ALTER COLUMN [MNS_SRVC_TIER_ID] [tinyint] NOT NULL */

/* ALTER TABLE dbo.MDS_EVENT_SLNK_WIRED_TRPT
DROP CONSTRAINT FK03_MDS_EVENT_SLNK_WIRED_TRPT
GO

EXEC SP_RENAME 'dbo.MDS_EVENT_SLNK_WIRED_TRPT.MDS_TRNSPRT_TYPE_ID', 'MDS_TRNSPRT_TYPE', 'COLUMN';

ALTER TABLE dbo.MDS_EVENT_SLNK_WIRED_TRPT
ALTER COLUMN [MDS_TRNSPRT_TYPE] [varchar](100) NOT NULL
GO

ALTER TABLE dbo.EVENT_CPE_DEV
DROP COLUMN [CTRCT_TYPE]
GO

ALTER TABLE dbo.MDS_EVENT_SLNK_WIRED_TRPT
ALTER COLUMN [TELCO_ID] [tinyint] NULL
GO

ALTER TABLE dbo.EVENT_DEV_SRVC_MGMT
ALTER COLUMN MNS_ORDR_ID VARCHAR(50) NULL
GO
GO

ALTER TABLE dbo.MDS_EVENT_DSL_SBIC_CUST_TRPT
DROP CONSTRAINT FK02_MDS_EVENT_DSL_SBIC_CUST_TRPT
GO

ALTER TABLE dbo.MDS_EVENT_DSL_SBIC_CUST_TRPT
DROP COLUMN TELCO_ID
GO

ALTER TABLE dbo.EVENT_DEV_SRVC_MGMT
ADD [MNS_ORDR_NBR] [varchar] (50) NULL
GO

ALTER TABLE dbo.EVENT_DEV_SRVC_MGMT
DROP COLUMN MNS_ORDR_ID
GO

ALTER TABLE dbo.EVENT_DEV_SRVC_MGMT
ADD [ODIE_CD] BIT NULL
GO

ALTER TABLE dbo.EVENT_CPE_DEV
ADD [ODIE_CD] BIT NULL
GO

ALTER TABLE EVENT_DEV_CMPLT
ADD [REC_STUS_ID] TINYINT NOT NULL CONSTRAINT [DF_EVENT_DEV_CMPLT_REC_STUS_ID_1]  DEFAULT ((1)),
	[ODIE_SENT_DT] [datetime] NULL
GO


update mds_event set SPRINT_CPE_NCR_ID=3 where SPRINT_CPE_NCR_ID is null
go
ALTER TABLE dbo.MDS_EVENT
ALTER COLUMN [SPRINT_CPE_NCR_ID] [tinyint] NOT NULL
GO

USE COWS
GO

ALTER TABLE dbo.MDS_EVENT
ADD [PRE_CFG_CMPLT_CD_2] CHAR(1) NULL
GO


UPDATE dbo.MDS_EVENT
SET [PRE_CFG_CMPLT_CD_2] = CASE WHEN [PRE_CFG_CMPLT_CD] IS NULL THEN NULL
								WHEN ([PRE_CFG_CMPLT_CD] = 0) THEN 'N'
								WHEN ([PRE_CFG_CMPLT_CD] = 1) THEN 'Y'
								END
GO

ALTER TABLE dbo.MDS_EVENT
DROP COLUMN [PRE_CFG_CMPLT_CD]
GO

EXEC SP_RENAME 'dbo.MDS_EVENT.PRE_CFG_CMPLT_CD_2', 'PRE_CFG_CMPLT_CD', 'COLUMN';
GO

ALTER TABLE dbo.MDS_EVENT_NEW
ADD [PRE_CFG_CMPLT_CD_2] CHAR(1) NULL
GO


UPDATE dbo.MDS_EVENT_NEW
SET [PRE_CFG_CMPLT_CD_2] = CASE WHEN [PRE_CFG_CMPLT_CD] IS NULL THEN NULL
								WHEN ([PRE_CFG_CMPLT_CD] = 0) THEN 'N'
								WHEN ([PRE_CFG_CMPLT_CD] = 1) THEN 'Y'
								END
GO

USE COWS
GO

ALTER TABLE dbo.MDS_EVENT
ADD [PRE_CFG_CMPLT_CD] BIT NULL
GO


UPDATE dbo.MDS_EVENT
SET [PRE_CFG_CMPLT_CD] = CASE WHEN [PRE_CFG_CMPLT_CD_2] IS NULL THEN 0
								WHEN ([PRE_CFG_CMPLT_CD_2] = 'N') THEN 0
								WHEN ([PRE_CFG_CMPLT_CD_2] = 'Y') THEN 1
								END
GO

ALTER TABLE dbo.MDS_EVENT
ALTER COLUMN [PRE_CFG_CMPLT_CD] BIT NOT NULL
GO

ALTER TABLE dbo.MDS_EVENT
DROP COLUMN [PRE_CFG_CMPLT_CD_2]
GO

ALTER TABLE dbo.MDS_EVENT_NEW
DROP COLUMN [PRE_CFG_CMPLT_CD_2]
GO

ALTER TABLE dbo.MDS_EVENT
ALTER COLUMN SPRINT_CPE_NCR_ID [tinyint] NULL
GO

ALTER TABLE dbo.MDS_EVENT_ODIE_DEV
ADD [SYS_CD] [BIT] NULL
GO

UPDATE me
SET SYS_CD = 1
FROM dbo.MDS_EVENT_ODIE_DEV me INNER JOIN
dbo.REDSGN rd WITH (NOLOCK) ON rd.REDSGN_NBR = me.RDSN_NBR INNER JOIN
dbo.REDSGN_DEVICES_INFO rdi WITH (NOLOCK) ON rdi.DEV_NME = me.ODIE_DEV_NME

update MDS_EVENT_ODIE_DEV set 
SYS_CD=0 where SYS_CD is null

ALTER TABLE dbo.MDS_EVENT_ODIE_DEV
ALTER COLUMN [SYS_CD] [BIT] NOT NULL
GO
 */ 
 
ALTER TABLE dbo.LK_OPT_OUT_REAS
ADD [REC_STUS_ID] TINYINT NULL
GO

UPDATE dbo.LK_OPT_OUT_REAS SET [REC_STUS_ID]=1

ALTER TABLE dbo.LK_OPT_OUT_REAS
ALTER COLUMN [REC_STUS_ID] TINYINT NOT NULL
GO

ALTER TABLE dbo.LK_OPT_OUT_REAS
ALTER COLUMN [OPT_OUT_REAS_DES] varchar(255) NOT NULL
GO


-- --Create M5_EVENT_MSG
-- CREATE TABLE [dbo].[M5_EVENT_MSG](
	-- [M5_EVENT_MSG_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	-- [M5_ORDR_ID] [int] NOT NULL,
	-- [M5_ORDR_NBR] [varchar](50) NOT NULL,
	-- [M5_MSG_ID] [int] NOT NULL,
	-- [DEV_ID] [varchar](50) NULL,
	-- [CMPNT_ID] [int] NULL,
	-- [STUS_ID] [smallint] NOT NULL,
	-- [CREAT_DT] [smalldatetime] NOT NULL,
	-- [SENT_DT] [smalldatetime] NULL,
	-- [EVENT_ID] [int] NULL,
 -- CONSTRAINT [PK_M5_EVENT_MSG] PRIMARY KEY CLUSTERED 
-- (
	-- [M5_EVENT_MSG_ID] ASC
-- )WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
-- ) ON [PRIMARY]

-- GO

-- SET ANSI_PADDING OFF
-- GO

-- ALTER TABLE [dbo].[M5_EVENT_MSG]  WITH NOCHECK ADD  CONSTRAINT [FK01_M5_EVENT_MSG] FOREIGN KEY([STUS_ID])
-- REFERENCES [dbo].[LK_STUS] ([STUS_ID])
-- GO

-- ALTER TABLE [dbo].[M5_EVENT_MSG] CHECK CONSTRAINT [FK01_M5_EVENT_MSG]
-- GO

--Update ODIE_DISC_REQ
ALTER TABLE dbo.ODIE_DISC_REQ
ADD [M5_DEVICE_ID] VARCHAR(50) NULL,
[SITE_ID] VARCHAR(50) NULL,
[CTRCT_NBR] VARCHAR(50) NULL
GO

SET ANSI_NULLS OFF
GO
SET QUOTED_IDENTIFIER OFF
GO
